pkgCache::PackageFile Struct Reference

stores information about the files used to generate the cache More...

`#include <apt-pkg/pkgcache.h>`

Collaboration diagram for pkgCache::PackageFile:
[legend]

## Public Attributes

map_stringitem_t | FileName
| physical disk file that this PackageFile represents
map_pointer< ReleaseFile > | Release
| the release information
map_stringitem_t | Component
map_stringitem_t | Architecture
map_stringitem_t | IndexType
| indicates what sort of index file this is
map_filesize_t | Size
| Size of the file.
time_t | mtime
| Modification time for the file.
map_flags_t | Flags
map_pointer< PackageFile > | NextFile
| Link to the next PackageFile in the Cache.
map_fileid_t | ID
| unique sequel ID
map_pointer< void > | d
| Private pointer.

## Detailed Description

stores information about the files used to generate the cache

Package files are referenced by Version structures to be able to know after the generation still from which Packages file includes this Version as we need this information later on e.g. for pinning.

## Member Data Documentation

## Flags

map_flags_t Flags

Todo
  document PackageFile::Flags

## IndexType

map_stringitem_t IndexType

indicates what sort of index file this is

Todo
  enumerate at least the possible indexes

## Size

map_filesize_t Size

Size of the file.

Used together with the modification time as a simple check to ensure that the Packages file has not been altered since Cache generation.

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h